Bug 187277 - [PATCH] net/glib-networking: optionize, stage
[PATCH] net/glib-networking: optionize, stage
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: gnome
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-05 10:20 UTC by amdmi3
Modified: 2014-05-12 03:10 UTC (History)
1 user (show)

See Also:


Attachments
glib-networking-2.36.2.patch (3.70 KB, patch)
2014-03-05 10:20 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2014-03-05 10:20:01 UTC
- Add OPTIONS
- Remove dbus dependency (dbus is not used)
- Support staging
- Use new LIB_DEPENDS syntax

Port maintainer (gnome@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-05 10:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov freebsd_committer 2014-05-12 03:04:17 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2014-05-12 03:04:17 UTC
Author: amdmi3
Date: Mon May 12 02:04:13 2014
New Revision: 353764
URL: http://svnweb.freebsd.org/changeset/ports/353764
QAT: https://qat.redports.org/buildarchive/r353764/

Log:
  - Add OPTIONS
  - Remove dbus dependency (not used)
  
  PR:		187277
  Submitted by:	amdmi3
  Approved by:	maintainer timeout

Modified:
  head/net/glib-networking/Makefile
  head/net/glib-networking/pkg-plist

Modified: head/net/glib-networking/Makefile
==============================================================================
--- head/net/glib-networking/Makefile	Mon May 12 02:01:19 2014	(r353763)
+++ head/net/glib-networking/Makefile	Mon May 12 02:04:13 2014	(r353764)
@@ -4,7 +4,7 @@
 
 PORTNAME=	glib-networking
 PORTVERSION=	2.36.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	net
 MASTER_SITES=	GNOME
 DIST_SUBDIR=	gnome2
@@ -12,14 +12,9 @@ DIST_SUBDIR=	gnome2
 MAINTAINER=	gnome@FreeBSD.org
 COMMENT=	Network-related giomodules for glib
 
-BUILD_DEPENDS=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss \
-		gsettings-desktop-schemas>=0:${PORTSDIR}/devel/gsettings-desktop-schemas
-LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls \
-		libgcrypt.so:${PORTSDIR}/security/libgcrypt \
-		libdbus-1.so:${PORTSDIR}/devel/dbus \
-		libproxy.so:${PORTSDIR}/net/libproxy
-RUN_DEPENDS=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss \
-		gsettings-desktop-schemas>=0:${PORTSDIR}/devel/gsettings-desktop-schemas
+BUILD_DEPENDS=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
+RUN_DEPENDS=	${LOCALBASE}/share/certs/ca-root-nss.crt:${PORTSDIR}/security/ca_root_nss
+LIB_DEPENDS=	libgcrypt.so:${PORTSDIR}/security/libgcrypt
 
 GNU_CONFIGURE=	yes
 USES=		gettext gmake libtool:keepla pathfix pkgconfig tar:xz
@@ -29,6 +24,23 @@ CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 INSTALL_TARGET=	install-strip
 
+OPTIONS_DEFINE=	GNUTLS PKCS11 PROXY GNOME_PROXY
+OPTIONS_DEFAULT=GNUTLS PKCS11 PROXY GNOME_PROXY
+OPTIONS_SUB=	yes
+
+GNUTLS_LIB_DEPENDS=	libgnutls.so:${PORTSDIR}/security/gnutls
+GNUTLS_CONFIGURE_WITH=	gnutls
+PKCS11_DESC=		Enable PKCS11 support (requires GNUTLS)
+PKCS11_LIB_DEPENDS=	libp11-kit.so:${PORTSDIR}/security/p11-kit \
+			libgnutls.so:${PORTSDIR}/security/gnutls
+PKCS11_CONFIGURE_WITH=	pkcs11
+PROXY_LIB_DEPENDS=	libproxy.so:${PORTSDIR}/net/libproxy
+PROXY_CONFIGURE_WITH=	libproxy
+GNOME_PROXY_DESC=	Support for GNOME proxy configuration
+GNOME_PROXY_BUILD_DEPENDS=	gsettings-desktop-schemas>=0:${PORTSDIR}/devel/gsettings-desktop-schemas
+GNOME_PROXY_RUN_DEPENDS=	gsettings-desktop-schemas>=0:${PORTSDIR}/devel/gsettings-desktop-schemas
+GNOME_PROXY_CONFIGURE_WITH=	gnome-proxy
+
 post-patch:
 	@${REINPLACE_CMD} -e' s|-Wmissing-include-dirs||g' ${WRKSRC}/configure
 

Modified: head/net/glib-networking/pkg-plist
==============================================================================
--- head/net/glib-networking/pkg-plist	Mon May 12 02:01:19 2014	(r353763)
+++ head/net/glib-networking/pkg-plist	Mon May 12 02:04:13 2014	(r353764)
@@ -1,14 +1,14 @@
-lib/gio/modules/libgiognomeproxy.a
-lib/gio/modules/libgiognomeproxy.la
-lib/gio/modules/libgiognomeproxy.so
-lib/gio/modules/libgiognutls.a
-lib/gio/modules/libgiognutls.la
-lib/gio/modules/libgiognutls.so
-lib/gio/modules/libgiolibproxy.a
-lib/gio/modules/libgiolibproxy.la
-lib/gio/modules/libgiolibproxy.so
-libexec/glib-pacrunner
-share/dbus-1/services/org.gtk.GLib.PACRunner.service
+%%GNOME_PROXY%%lib/gio/modules/libgiognomeproxy.a
+%%GNOME_PROXY%%lib/gio/modules/libgiognomeproxy.la
+%%GNOME_PROXY%%lib/gio/modules/libgiognomeproxy.so
+%%GNUTLS%%lib/gio/modules/libgiognutls.a
+%%GNUTLS%%lib/gio/modules/libgiognutls.la
+%%GNUTLS%%lib/gio/modules/libgiognutls.so
+%%PROXY%%lib/gio/modules/libgiolibproxy.a
+%%PROXY%%lib/gio/modules/libgiolibproxy.la
+%%PROXY%%lib/gio/modules/libgiolibproxy.so
+%%PROXY%%libexec/glib-pacrunner
+%%PROXY%%share/dbus-1/services/org.gtk.GLib.PACRunner.service
 share/locale/an/LC_MESSAGES/glib-networking.mo
 share/locale/ar/LC_MESSAGES/glib-networking.mo
 share/locale/as/LC_MESSAGES/glib-networking.mo
@@ -93,5 +93,7 @@ share/locale/zh_TW/LC_MESSAGES/glib-netw
 @dirrmtry share/locale/as
 @dirrmtry share/locale/an/LC_MESSAGES
 @dirrmtry share/locale/an
+%%PROXY%%@dirrmtry share/dbus-1/services
+%%PROXY%%@dirrmtry share/dbus-1
 @exec %D/bin/gio-querymodules %D/lib/gio/modules 2>/dev/null || /usr/bin/true
 @unexec %D/bin/gio-querymodules %D/lib/gio/modules 2>/dev/null || /usr/bin/true
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"